package projectzombie.menu.gui.components;

import gl_engine.vec.Vec2d;
import projectzombie.menu.gui.GUIAlignment;
import projectzombie.settings.Settings;

public class ButtonSetting extends ButtonBasic
{

	public ButtonSetting(String text, ButtonCallback callback) {
		super(text, callback);
		
		this.setAlign(GUIAlignment.RIGHT);
	}
	
	@Override
	public void onMouseClick(Vec2d pos) {
		super.onMouseClick(pos);
		
		Settings.update();
	}

}
